Index: testsuite/bunzip2.tests
===================================================================
--- testsuite/bunzip2.tests	(revision 21918)
+++ testsuite/bunzip2.tests	(working copy)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
 
 if test "${0##*/}" = "gunzip.tests"; then
     unpack=gunzip
@@ -11,58 +11,31 @@
     exit 1
 fi
 
-bb="busybox "
+bb_app="busybox $unpack"
+wdir=testdir
 
-unset LC_ALL
-unset LC_MESSAGES
-unset LANG
-unset LANGUAGE
+. compressfuncs.sh
 
-hello_gz() {
-    # Gzipped "HELLO\n"
-    #_________________________ vvv vvv vvv vvv - mtime
-    echo -ne "\x1f\x8b\x08\x00\x85\x1d\xef\x45\x02\x03\xf3\x70\xf5\xf1\xf1\xe7"
-    echo -ne "\x02\x00\x6e\xd7\xac\xfd\x06\x00\x00\x00"
-}
-
-hello_bz2() {
-    # Bzipped "HELLO\n"
-    echo -ne "\x42\x5a\x68\x39\x31\x41\x59\x26\x53\x59\x5b\xb8\xe8\xa3\x00\x00"
-    echo -ne "\x01\x44\x00\x00\x10\x02\x44\xa0\x00\x30\xcd\x00\xc3\x46\x29\x97"
-    echo -ne "\x17\x72\x45\x38\x50\x90\x5b\xb8\xe8\xa3"
-}
-
-prep() {
-    rm -f t*
-    hello_$ext >t1.$ext
-    hello_$ext >t2.$ext
-}
-
-check() {
-    eval $2 >t_actual 2>&1
-    if echo -ne "$expected" | cmp - t_actual; then
-	echo "$1: PASS"
-    else
-	echo "$1: FAIL"
-    fi
-}
-
-mkdir testdir 2>/dev/null
+rm -rf $wdir
+mkdir -p $wdir
 (
-cd testdir || { echo "cannot cd testdir!"; exit 1; }
+cd $wdir || { echo "cannot cd $wdir!"; exit 1; }
 
 expected="$unpack: z: No such file or directory
 1
 HELLO
 "
-prep; check "$unpack: doesnt exist" "${bb}$unpack z t1.$ext; echo \$?; cat t1"
+prep
+check "$unpack: doesnt exist" "set +e;$bb_app z t1.$ext; echo \$?; cat t1"
 
 
 expected="$unpack: t.zz: unknown suffix - ignored
 1
 HELLO
 "
-prep; >t.zz; check "$unpack: unknown suffix" "${bb}$unpack t.zz t1.$ext; echo \$?; cat t1"
+prep
+>t.zz
+check "$unpack: unknown suffix" "set +e;$bb_app t.zz t1.$ext; echo \$?; cat t1"
 
 
 # In this case file "t1" exists, and we skip t1.gz and unpack t2.gz
@@ -70,15 +43,19 @@
 1
 HELLO
 "
-prep; >t1; check "$unpack: already exists" "${bb}$unpack t1.$ext t2.$ext; echo \$?; cat t1 t2"
+prep
+>t1
+check "$unpack: already exists" "$bb_app t1.$ext t2.$ext; echo \$?; cat t1 t2"
 
 
 # From old testsuite
 expected="HELLO\n0\n"
-prep; check "$unpack: stream unpack" "cat t1.$ext | ${bb}$unpack; echo $?"
+prep
+check "$unpack: stream unpack" "cat t1.$ext | $bb_app; echo $?"
 
 expected="ok\n"
-prep; check "$unpack: delete src" "${bb}$unpack t2.$ext; test ! -f t2.$ext && echo ok"
+prep
+check "$unpack: delete src" "$bb_app t2.$ext; test ! -f t2.$ext && echo ok"
 
 )
-rm -rf testdir
+rm -rf $wdir
Index: testsuite/bzcat.tests
===================================================================
--- testsuite/bzcat.tests	(revision 21918)
+++ testsuite/bzcat.tests	(working copy)
@@ -1,49 +1,19 @@
-#!/bin/sh
+#!/bin/sh -e
 
+app=bzcat
+bb_app="busybox $app"
 ext=bz2
+wdir=testdir
 
-bb="busybox "
+. compressfuncs.sh
 
-unset LC_ALL
-unset LC_MESSAGES
-unset LANG
-unset LANGUAGE
-
-hello_gz() {
-    # Gzipped "HELLO\n"
-    #_________________________ vvv vvv vvv vvv - mtime
-    echo -ne "\x1f\x8b\x08\x00\x85\x1d\xef\x45\x02\x03\xf3\x70\xf5\xf1\xf1\xe7"
-    echo -ne "\x02\x00\x6e\xd7\xac\xfd\x06\x00\x00\x00"
-}
-
-hello_bz2() {
-    # Bzipped "HELLO\n"
-    echo -ne "\x42\x5a\x68\x39\x31\x41\x59\x26\x53\x59\x5b\xb8\xe8\xa3\x00\x00"
-    echo -ne "\x01\x44\x00\x00\x10\x02\x44\xa0\x00\x30\xcd\x00\xc3\x46\x29\x97"
-    echo -ne "\x17\x72\x45\x38\x50\x90\x5b\xb8\xe8\xa3"
-}
-
-prep() {
-    rm -f t*
-    hello_$ext >t1.$ext
-    hello_$ext >t2.$ext
-}
-
-check() {
-    eval $2 >t_actual 2>&1
-    if echo -ne "$expected" | cmp - t_actual; then
-	echo "$1: PASS"
-    else
-	echo "$1: FAIL"
-    fi
-}
-
-mkdir testdir 2>/dev/null
+rm -rf $wdir
+mkdir -p $wdir
 (
-cd testdir || { echo "cannot cd testdir!"; exit 1; }
+cd $wdir || { echo "cannot cd $wdir!"; exit 1; }
 
 expected="HELLO\nok\n"
-prep; check "bzcat: dont delete src" "${bb}bzcat t2.bz2; test -f t2.bz2 && echo ok"
-
+prep
+check "$app: dont delete src" "$bb_app t2.bz2; test -f t2.bz2 && echo ok"
 )
-rm -rf testdir
+rm -rf $wdir
